ContentConnection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Interface ContentConnection

All Superinterfaces:
  Connection, InputConnection, OutputConnection, StreamConnection

All Known Subinterfaces:
  HttpConnection, HttpsConnection

    public interface ContentConnection

extends StreamConnection

This interface defines the stream connection over which content is passed.

Since:
  CLDC 1.0
Version:
  12/17/01 (CLDC 1.1)
Author:
  Nik Shaylor

Method Summary
`String` | `getEncoding()` Returns a string describing the encoding of the content which the resource connected to is providing.
`long` | `getLength()` Returns the length of the content which is being provided.
`String` | `getType()` Returns the type of content that the resource connected to is providing.

Methods inherited from interface javax.microedition.io.InputConnection
`openDataInputStream, openInputStream`

Methods inherited from interface javax.microedition.io.Connection
`close`

Methods inherited from interface javax.microedition.io.OutputConnection
`openDataOutputStream, openOutputStream`

Methods inherited from interface javax.microedition.io.Connection
`close`

Method Detail

### getType

    String getType()

  Returns the type of content that the resource connected to is providing. For instance, if the connection is via HTTP, then the value of the `content-type` header field is returned.

  Returns:
    the content type of the resource that the URL references, or `null` if not known.

    NOTE: In certain environments, such as HttpConnection implemented on top of WAP, the content type is always known even if content-type header field is missing from the server response. Therefore, in certain cases, the content type might always be non-null even if the content-type header field is missing.

### getEncoding

    String getEncoding()

  Returns a string describing the encoding of the content which the resource connected to is providing. E.g. if the connection is via HTTP, the value of the `content-encoding` header field is returned.

  Returns:
    the content encoding of the resource that the URL references, or `null` if not known.

### getLength

    long getLength()

  Returns the length of the content which is being provided. E.g. if the connection is via HTTP, then the value of the `content-length` header field is returned.

  Returns:
    the content length of the resource that this connection's URL references, or `-1` if the content length is not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD